Subject: [tram] I-D Action: draft-ietf-tram-turnbis-19.txt

From: [email-masked]
Date: Sun, 03 Jun 2018 23:21:05 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the TURN Revised and Modernized WG of the IETF.

        Title           : Traversal Using Relays around NAT (TURN): Relay Extensions to Session Traversal Utilities for NAT (STUN)
        Authors         : Tirumaleswar Reddy
                          Alan Johnston
                          Philip Matthews
                          Jonathan Rosenberg
	Filename        : draft-ietf-tram-turnbis-19.txt
	Pages           : 84
	Date            : 2018-06-03

Abstract:
   If a host is located behind a NAT, then in certain situations it can
   be impossible for that host to communicate directly with other hosts
   (peers).  In these situations, it is necessary for the host to use
   the services of an intermediate node that acts as a communication
   relay.  This specification defines a protocol, called TURN (Traversal
   Using Relays around NAT), that allows the host to control the
   operation of the relay and to exchange packets with its peers using
   the relay.  TURN differs from some other relay control protocols in
   that it allows a client to communicate with multiple peers using a
   single relay address.

   The TURN protocol was designed to be used as part of the ICE
   (Interactive Connectivity Establishment) approach to NAT traversal,
   though it also can be used without ICE.

   This document obsoletes RFC 5766 and RFC 6156.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-tram-turnbis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-tram-turnbis-19
https://datatracker.ietf.org/doc/html/draft-ietf-tram-turnbis-19

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-tram-turnbis-19

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Mon, 4 Jun 2018 06:24:37 +0000

This revision addresses comments from Justin.

-Tiru

> -----Original Message-----
> From: tram [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: Monday, June 4, 2018 11:51 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [tram] I-D Action: draft-ietf-tram-turnbis-19.txt
> 
> 
> 
>         Title           : Traversal Using Relays around NAT (TURN): Relay Extensions
> to Session Traversal Utilities for NAT (STUN)
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram

---

From: Justin Uberti <[email-masked]>
Date: Mon, 11 Jun 2018 18:15:26 -0700

The revised text in Section 2.3 LGTM.

I noticed the acknowledgements section (Section 23) refers to SSODA, but
this name doesn't appear elsewhere in the document. Perhaps it should say
"the ADDITIONAL-ADDRESS-FAMILY mechanism"?

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 12 Jun 2018 16:31:13 +0000

Thanks Justin. Fixed in my local copy.

-Tiru

From: tram [mailto:[email-masked]] On Behalf Of Justin Uberti
Sent: Tuesday, June 12, 2018 6:45 AM
To: Konda, Tirumaleswar Reddy <[email-masked]>
Cc: [email-masked]
Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-19.txt

CAUTION: External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.

________________________________
The revised text in Section 2.3 LGTM.

I noticed the acknowledgements section (Section 23) refers to SSODA, but this name doesn't appear elsewhere in the document. Perhaps it should say "the ADDITIONAL-ADDRESS-FAMILY mechanism"?

On Sun, Jun 3, 2018 at 11:24 PM Konda, Tirumaleswar Reddy <[email-masked]<mailto:[email-masked]>> wrote:
This revision addresses comments from Justin.

-Tiru

> From: tram [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of internet-
> [email-masked]<mailto:[email-masked]>
> To: [email-masked]<mailto:[email-masked]>
> Cc: [email-masked]<mailto:[email-masked]>
> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
tram mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tram

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Thu, 14 Jun 2018 05:52:15 +0000

Hi Tiru,

I reviewed the section on handling inbound STUN packets on relay
address before permissions are created  (based on configuration knob) and it looks fine to me.

Regards,
Ram

-----Original Message-----
From: tram <[email-masked]> on behalf of "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tuesday, 12 June 2018 at 10:01 PM
To: Justin Uberti <juberti=[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-19.txt

    -Tiru
     
    From: tram [mailto:[email-masked]] On Behalf Of
    Justin Uberti
    Sent: Tuesday, June 12, 2018 6:45 AM
    To: Konda, Tirumaleswar Reddy <[email-masked]>
    Cc: [email-masked]
    Subject: Re: [tram] I-D Action: draft-ietf-tram-turnbis-19.txt

    CAUTION: External email. Do not click links or open
     attachments unless you recognize the sender and know the content is safe.
    ________________________________________

     
    On Sun, Jun 3, 2018 at 11:24 PM Konda, Tirumaleswar Reddy <[email-masked]> wrote:

    -Tiru
    
    > The IETF datatracker status page for this draft is:
    https://datatracker.ietf.org/doc/draft-ietf-tram-turnbis/ <https://datatracker.ietf.org/doc/draft-ietf-tram-turnbis/>
    > There are also htmlized versions available at:
    https://tools.ietf.org/html/draft-ietf-tram-turnbis-19 <https://tools.ietf.org/html/draft-ietf-tram-turnbis-19>
    https://datatracker.ietf.org/doc/html/draft-ietf-tram-turnbis-19 <https://datatracker.ietf.org/doc/html/draft-ietf-tram-turnbis-19>
    > A diff from the previous version is available at:
    https://www.ietf.org/rfcdiff?url2=draft-ietf-tram-turnbis-19 <https://www.ietf.org/rfcdiff?url2=draft-ietf-tram-turnbis-19>
    > until the htmlized version and diff are available at 
    tools.ietf.org <http://tools.ietf.org>.